Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- a
- b
- c
- d
- e
- f
- g
- h
- l
- n
- o
- r
- s
- t
- u
- v
- y

### - a -

- answer : dir.c
- ary_take_pos_flags : array.c

### - b -

- big_op_t : bignum.c
- byte_order : nkf.c

### - c -

- call_type : vm_eval.c
- CCSTATE : regparse.c
- CCVALTYPE : regparse.c
- compile_array_type_t : compile.c
- context_type : cont.c

### - d -

- defined_type : iseq.h
- disable_flag_bits : ruby.c
- dump_flag_bits : ruby.c

### - e -

- expand_type : load.c

### - f -

- fiber_status : cont.c

### - g -

- glob_pattern_type : dir.c

### - h -

- handle_interrupt_timing : thread.c

### - l -

- lex_state_bits : ripper.c , ripper.y , parse.y , parse.c
- lex_state_e : ripper.c , parse.y , ripper.y , parse.c

### - n -

- neighbor_char : string.c
- nkf_encodings : nkf.c
- node_type : ripper.y , node.h

### - o -

- OpCode : regint.h
- options : tcltklib.c

### - r -

- rb_const_flag_t : constant.h
- rb_econv_result_t : ripper.y , encoding.h
- rb_event_hook_flag_t : debug.h
- rb_method_flag_t : method.h
- rb_method_type_t : method.h
- rb_thread_status : vm_core.h
- rb_transcoder_asciicompat_type_t : transcode_data.h
- rb_vm_defineclass_type_t : vm_core.h
- ReduceType : regparse.c
- ruby_method_ids : ripper.y , id.h
- ruby_special_consts : ruby.h , ripper.y
- ruby_special_exceptions : vm_core.h
- ruby_tag_type : eval_intern.h
- ruby_value_type : ripper.y , ruby.h

### - s -

- sock_recv_type : rubysocket.h
- st_retval : ripper.y , st.h
- string_type : ripper.c , parse.c

### - t -

- TokenSyms : regparse.c

### - u -

- updateOptions : tcltklib.c

### - v -

- vm_check_match_type : vm_core.h
- vm_regan_acttype : vm_insnhelper.h
- vm_regan_regtype : vm_insnhelper.h
- vm_special_object_type : vm_core.h

### - y -

- yaml_break_e : yaml.h
- yaml_emitter_state_e : yaml.h
- yaml_encoding_e : yaml.h
- yaml_error_type_e : yaml.h
- yaml_event_type_e : yaml.h
- yaml_mapping_style_e : yaml.h
- yaml_node_type_e : yaml.h
- yaml_parser_state_e : yaml.h
- yaml_scalar_style_e : yaml.h
- yaml_sequence_style_e : yaml.h
- yaml_token_type_e : yaml.h
- yytokentype : parse.h , ripper.y